# Uses of Interface
org.springframework.cache.interceptor.KeyGenerator

Packages that use KeyGenerator
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of KeyGenerator in org.springframework.cache.annotation

Fields in org.springframework.cache.annotation with type parameters of type KeyGenerator
Modifier and Type
Field
Description
`protected Supplier<KeyGenerator>`
AbstractCachingConfiguration.`keyGenerator`
Methods in org.springframework.cache.annotation that return KeyGenerator
Modifier and Type
Method
Description
`default KeyGenerator`
CachingConfigurer.`keyGenerator()`
Return the key generator bean to use for annotation-driven cache management.
`KeyGenerator`
CachingConfigurerSupport.`keyGenerator()`
Deprecated.

## Uses of KeyGenerator in org.springframework.cache.interceptor

Classes in org.springframework.cache.interceptor that implement KeyGenerator
Modifier and Type
Class
Description
`class`
`SimpleKeyGenerator`
Simple key generator.
Methods in org.springframework.cache.interceptor that return KeyGenerator
Modifier and Type
Method
Description
`KeyGenerator`
CacheAspectSupport.`getKeyGenerator()`
Return the default `KeyGenerator` that this cache aspect delegates to.
Methods in org.springframework.cache.interceptor with parameters of type KeyGenerator
Modifier and Type
Method
Description
`void`
CacheAspectSupport.`setKeyGenerator(KeyGenerator keyGenerator)`
Set the default `KeyGenerator` that this cache aspect should delegate to if no specific key generator has been set for the operation.
`void`
CacheProxyFactoryBean.`setKeyGenerator(KeyGenerator keyGenerator)`
Set the default `KeyGenerator` that this cache aspect should delegate to if no specific key generator has been set for the operation.
Constructors in org.springframework.cache.interceptor with parameters of type KeyGenerator
Modifier
Constructor
Description
``
`CacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass, KeyGenerator keyGenerator, CacheResolver cacheResolver)`